Create User
curl --request POST \
--url https://api.recallrai.com/api/v1/users \
--header 'Content-Type: application/json' \
--header 'X-Recallr-Api-Key: <x-recallr-api-key>' \
--header 'X-Recallr-Project-Id: <x-recallr-project-id>' \
--data '
{
"custom_user_id": "<string>",
"metadata": {},
"merge_conflict_enabled": true
}
'import requests
url = "https://api.recallrai.com/api/v1/users"
payload = {
"custom_user_id": "<string>",
"metadata": {},
"merge_conflict_enabled": True
}
headers = {
"X-Recallr-Project-Id": "<x-recallr-project-id>",
"X-Recallr-Api-Key": "<x-recallr-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Recallr-Project-Id': '<x-recallr-project-id>',
'X-Recallr-Api-Key': '<x-recallr-api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({custom_user_id: '<string>', metadata: {}, merge_conflict_enabled: true})
};
fetch('https://api.recallrai.com/api/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"custom_user_id": "<string>",
"metadata": {},
"merge_conflict_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"last_active_at": "2023-11-07T05:31:56Z"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Users
Create User
Create a new user in your project.
Register a new user to start tracking their memories and sessions. Each user is identified by a unique custom_user_id that you provide from your application.
Body Parameters:
custom_user_id(str): Your unique identifier for this usermetadata(Dict[str, Any]): Optional JSON metadata to attach (e.g., name, email, preferences)
Returns:
user(UserInfo): Created user object with custom_user_id, metadata, and timestamps
POST
/
api
/
v1
/
users
Create User
Was this page helpful?
⌘I

